librevenge::RVNGIntProperty Class Reference documentation

Public Member Functions | Private Attributes | List of all members
librevenge::RVNGIntProperty Class Reference
Inheritance diagram for librevenge::RVNGIntProperty:

## Public Member Functions
| RVNGIntProperty (const int val)
| ~RVNGIntProperty ()
virtual int | getInt () const
virtual double | getDouble () const
virtual RVNGUnit | getUnit () const
| returns the property unit when possible.
virtual RVNGString | getStr () const
virtual RVNGProperty * | clone () const
Public Member Functions inherited from librevenge::RVNGProperty
virtual | ~RVNGProperty ()
virtual int | getInt () const =0
virtual double | getDouble () const =0
virtual RVNGUnit | getUnit () const =0
| returns the property unit when possible.
virtual RVNGString | getStr () const =0
virtual RVNGProperty * | clone () const =0

## Private Attributes
int | m_val

## Constructor & Destructor Documentation

## ◆ RVNGIntProperty()

librevenge::RVNGIntProperty::RVNGIntProperty | ( | const int | val | ) |

## ◆ ~RVNGIntProperty()

librevenge::RVNGIntProperty::~RVNGIntProperty | ( |  | ) |
| inline

## Member Function Documentation

## ◆ clone()

RVNGProperty * librevenge::RVNGIntProperty::clone | ( |  | ) | const
| virtual

Implements librevenge::RVNGProperty.

Reimplemented in librevenge::RVNGBoolProperty.

## ◆ getDouble()

double librevenge::RVNGIntProperty::getDouble | ( |  | ) | const
| virtual

Implements librevenge::RVNGProperty.

## ◆ getInt()

int librevenge::RVNGIntProperty::getInt | ( |  | ) | const
| virtual

Implements librevenge::RVNGProperty.

Referenced by librevenge::RVNGBoolProperty::clone(), and librevenge::RVNGBoolProperty::getStr().

## ◆ getStr()

RVNGString librevenge::RVNGIntProperty::getStr | ( |  | ) | const
| virtual

Implements librevenge::RVNGProperty.

Reimplemented in librevenge::RVNGBoolProperty.

## ◆ getUnit()

virtual RVNGUnit librevenge::RVNGIntProperty::getUnit | ( |  | ) | const
| inlinevirtual

returns the property unit when possible.

If not, returns RVNG_UNIT_ERROR

Implements librevenge::RVNGProperty.

Reimplemented in librevenge::RVNGBoolProperty.

## Member Data Documentation

## ◆ m_val

int librevenge::RVNGIntProperty::m_val
| private

Referenced by clone(), getDouble(), getInt(), and getStr().

The documentation for this class was generated from the following file:

- RVNGProperty.cpp